POST Search Preferences
POST /site_preferences/preference_groups/{group_id}/{instance_type}/preference_search
Operation ID: Search Preferences. Tags: site_preferences. Security: oauth2_application.
Search preferences across sites in the specified preference group and instance.
The query attribute specifies a complex query that can be used to narrow down the search.
The following is a list of searchable fields:
-
id - String
-
display_name - Localized String
-
description - Localized String
-
value_type* - one of {string, int, double, text, html, date, image, boolean, money, quantity, datetime, email, password, set_of_string, set_of_int, set_of_double, enum_of_string, enum_of_int}
- value_type can only be joined with other attributes using a conjunction (AND).
Note that only searchable attributes can be used in sorting.
Note: If instance type sandbox is used, the preference values of development instance type will be returned as fallback.
This endpoint may return the following faults:
- 400 - MalformedSearchParameterException - Indicates the query is ill-formed.
- 404 - CustomPreferenceGroupNotFoundException - Indicates the preference group is not found.
Parameters
instance_type(path, string, required) An instance type, one of {staging,development,sandbox,production}.group_id(path, string, required) The ID of the preference group.mask_passwords(query, boolean) The preference values of type Password are masked when set.expand(query, array of string) The expand "value" is available to retrieve value definitions of the attribute definition.
Request body (required)
Media type: application/json, text/xml. Schema: search_request.
Responses
- 400
MalformedSearchParameterException- Indicates the query is ill-formed.Media type:
application/json, text/xml. Schema:fault. - 404
CustomPreferenceGroupNotFoundException- Indicates the preference group is not found.Media type:
application/json, text/xml. Schema:fault. - default
Media type:
application/json, text/xml. Schema:preference_value_search_result.